FAPI_CONTEXT Struct Reference

`#include <fapi_int.h>`

## Data Fields

ESYS_CONTEXT * | esys
struct IFAPI_CALLBACKS | callbacks
struct IFAPI_IO | io
struct IFAPI_EVENTLOG | eventlog
struct IFAPI_KEYSTORE | keystore
struct IFAPI_POLICY_STORE | pstore
struct IFAPI_PROFILES | profiles
TPMS_TIME_INFO | init_time
enum _FAPI_STATE | state
enum _FAPI_STATE_PRIMARY | primary_state
enum _FAPI_STATE_SESSION | session_state
enum _FAPI_STATE_GET_RANDOM | get_random_state
enum IFAPI_HIERACHY_AUTHORIZATION_STATE | hierarchy_state
enum IFAPI_HIERACHY_POLICY_AUTHORIZATION_STATE | hierarchy_policy_state
enum IFAPI_GET_CERT_STATE | get_cert_state
enum _FAPI_FLUSH_STATE | flush_object_state
enum IFAPI_CLEANUP_STATE | cleanup_state
enum IFAPI_READ_NV_PUBLIC_STATE | read_nv_public_state
IFAPI_CONFIG | config
UINT32 | nv_buffer_max
IFAPI_CMD_STATE | cmd
IFAPI_NV_Cmds | nv_cmd
IFAPI_GetRandom | get_random
IFAPI_CreatePrimary | createPrimary
IFAPI_LoadKey | loadKey
ESYS_TR | session1
ESYS_TR | session2
ESYS_TR | policy_session
ESYS_TR | ek_handle
ESYS_TR | srk_handle
TPMI_DH_PERSISTENT | ek_persistent
TPMI_DH_PERSISTENT | srk_persistent
IFAPI_SESSION_TYPE | session_flags
TPMA_SESSION | session1_attribute_flags
TPMA_SESSION | session2_attribute_flags
IFAPI_MAX_BUFFER | aux_data
IFAPI_POLICY_CTX | policy
IFAPI_FILE_SEARCH_CTX | fsearch
IFAPI_Key_Sign | Key_Sign
enum IFAPI_IO_STATE | io_state
NODE_OBJECT_T * | object_list
IFAPI_OBJECT * | duplicate_key
IFAPI_OBJECT * | current_auth_object

## Detailed Description

The data structure holding internal state information.

Each FAPI_CONTEXT respresents a logically independent connection to the TPM. It stores meta data information about object in order to calculate session auths and similar things.

## Field Documentation

## aux_data

IFAPI_MAX_BUFFER aux_data

tpm2b data to be transferred

## callbacks

struct IFAPI_CALLBACKS callbacks

Callbacks for user interaction from FAPI

## cleanup_state

enum IFAPI_CLEANUP_STATE cleanup_state

The state of cleanup after command execution

## cmd

IFAPI_CMD_STATE cmd

The state information of the currently executed command

## config

IFAPI_CONFIG config

The profile independent configuration data

## duplicate_key

IFAPI_OBJECT* duplicate_key

Will be needed for policy execution

## esys

ESYS_CONTEXT* esys

The ESYS context used internally to talk to the TPM.

## flush_object_state

enum _FAPI_FLUSH_STATE flush_object_state

The current state of a flush operation

## fsearch

IFAPI_FILE_SEARCH_CTX fsearch

The context for object search in key/policy store

## get_random_state

enum _FAPI_STATE_GET_RANDOM get_random_state

The current state of get random

## init_time

TPMS_TIME_INFO init_time

The current time during FAPI initialization.

## Key_Sign

IFAPI_Key_Sign Key_Sign

State information for key signing

## nv_buffer_max

UINT32 nv_buffer_max

The maximal size for transfer of nv buffer content

## policy

IFAPI_POLICY_CTX policy

The context of current policy.

## policy_session

ESYS_TR policy_session

The policy session used by FAPI

## primary_state

enum _FAPI_STATE_PRIMARY primary_state

The current state of the primary regeneration

## session1

ESYS_TR session1

The first session used by FAPI

## session2

ESYS_TR session2

The second session used by FAPI

## session_state

enum _FAPI_STATE_SESSION session_state

The current state of the session creation

## state

enum _FAPI_STATE state

The current state of the command execution

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_int.h